package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Sage_payRepository;
import com.realnet.vpspack.Entity.Sage_pay
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






















	import org.springframework.stereotype.Service;

@Service
 public class Sage_payService {
@Autowired
private Sage_payRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





















public Sage_pay Savedata(Sage_pay data) {






















	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Sage_pay save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Sage_pay> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Sage_pay> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Sage_pay> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Sage_pay getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Sage_pay update(Sage_pay data,Integer id) {
	Sage_pay old = Repository.findById(id).get();
old.setApplication_code(data.getApplication_code());

old.setStatus(data.getStatus());

old.setAmount(data.getAmount());

old.setCreated(data.getCreated());

old.setVendercode(data.getVendercode());

old.setCard_type(data.getCard_type());

old.setExpiry_date(data.getExpiry_date());

old.setLast4digit(data.getLast4digit());

old.setVpstxid(data.getVpstxid());

old.setTxauthno(data.getTxauthno());

old.setBanckauthcode(data.getBanckauthcode());

final Sage_pay test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






















 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
